# DataExchange
TKSTEPBase
StepShape

# StepShape_Sphere Class Reference

`#include <StepShape_Sphere.hxx>`

Inheritance diagram for StepShape_Sphere:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_Sphere ()
| Returns a Sphere .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Real aRadius, const Handle(StepGeom_Point)&aCentre)
Standard_EXPORT void | SetRadius (const Standard_Real aRadius)
Standard_EXPORT Standard_Real | Radius () const
Standard_EXPORT void | SetCentre (const Handle(StepGeom_Point)&aCentre)
Standard_EXPORT Handle_StepGeom_Point | Centre () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | radius
Handle_StepGeom_Point | centre

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Sphere::StepShape_Sphere | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Point StepShape_Sphere::Centre | ( |  | ) | const

Standard_EXPORT const StepShape_Sphere::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem.

virtual Standard_EXPORT void StepShape_Sphere::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Real | aRadius,
|  | const Handle(StepGeom_Point)& | aCentre
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_Sphere::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Real StepShape_Sphere::Radius | ( |  | ) | const

Standard_EXPORT void StepShape_Sphere::SetCentre | ( | const Handle(StepGeom_Point)& | aCentre | ) |

Standard_EXPORT void StepShape_Sphere::SetRadius | ( | const Standard_Real | aRadius | ) |

## Field Documentation

Handle_StepGeom_Point StepShape_Sphere::centre `[private]`

Standard_Real StepShape_Sphere::radius `[private]`

The documentation for this class was generated from the following file:

- StepShape_Sphere.hxx